## org.omg.CORBA
Class TypedefDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.TypedefDefHelper

public class TypedefDefHelper
extends java.lang.Object

Helper class for : TypedefDef

Author:
  OpenORB Compiler

Constructor Summary
`TypedefDefHelper()`

Method Summary
`static TypedefDef` `extract(Any a)` Extract TypedefDef from an any
`static java.lang.String` `id()` Return the TypedefDef IDL ID
`static void` `insert(Any a, TypedefDef t)` Insert TypedefDef into an any
`static TypedefDef` `narrow(Object obj)` Narrow CORBA::Object to TypedefDef
`static TypedefDef` `read(InputStream istream)` Read TypedefDef from a marshalled stream
`static TypeCode` `type()` Return the TypedefDef TypeCode
`static TypedefDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to TypedefDef
`static void` `write(OutputStream ostream, TypedefDef value)` Write TypedefDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedefDefHelper

    public TypedefDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TypedefDef t)

  Insert TypedefDef into an any
  Parameters:
    `a` - an any
    `t` - TypedefDef value

### extract

    public static TypedefDef extract(Any a)

  Extract TypedefDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TypedefDef value

### type

    public static TypeCode type()

  Return the TypedefDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TypedefDef IDL ID
  Returns:
    an ID

### read

    public static TypedefDef read(InputStream istream)

  Read TypedefDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TypedefDef value

### write

    public static void write(OutputStream ostream,
                             TypedefDef value)

  Write TypedefDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TypedefDef value

### narrow

    public static TypedefDef narrow(Object obj)

  Narrow CORBA::Object to TypedefDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    TypedefDef Object

### unchecked_narrow

    public static TypedefDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to TypedefDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    TypedefDef Object